# GccCommandLineToolConfiguration

@Incubating
interface GccCommandLineToolConfiguration : CommandLineToolConfiguration

An executable tool used for GCC that allows customizing the executable.

## Functions

getExecutable
Link copied to clipboard
abstract fun getExecutable(): String
The name of the executable file for this tool.
setExecutable
Link copied to clipboard
abstract fun setExecutable(file: String)
Set the name of the executable file for this tool.
withArguments
Link copied to clipboard
abstract fun withArguments(arguments: Action<in List<String>>)